#include <iostream>

using namespace std;

int trazi(int niz[], int n, int x)
{
    int i;
    for (i = 0; i < n; i++)
        if (niz[i] == x)
            return i;
    return -1;
}

int main()
{
    int n, k;
    cin >>n>>k;
    if(n<2 || n>20000 || k<1 || k>n)
    	return 0;
    int niz[n];
    for(int i=0;i<n;i++){
		cin>>niz[i];
	}
	int vr = trazi(niz, n, k);
	if(vr+1==n){
		cout<<niz[0];
	}
	else
		cout<<niz[vr+1];	
    return 0;       
}